# Configurazione database
$config = @{
    # Credenziali database
    DbUser = "sa"
    DbPassword = "_p1sap1a"
    # DbHost = "DATABASE_PDC_LOCALE"
    DbHost = "testbes.armundia.com"
    DbName = "C6StampeCentralizzate"

    # Directory di log
    LogDir = Join-Path $PSScriptRoot "..\logs"
}

# Esporta le variabili come variabili d'ambiente
$env:dbUser = $config.DbUser
$env:dbPassword = $config.DbPassword
$env:dbHost = $config.DbHost
$env:dbName = $config.DbName
$env:logDir = $config.LogDir

# Funzione per ottenere la connection string
function Get-DatabaseConnectionString {
    return "Server=$($config.DbHost);Database=$($config.DbName);User Id=$($config.DbUser);Password=$($config.DbPassword);"
}

# Crea directory di log se non esiste
if (-not (Test-Path $config.LogDir)) {
    New-Item -ItemType Directory -Path $config.LogDir | Out-Null
}

# La configurazione sarà disponibile quando lo script viene dot-sourced
