# CreazioneDB

Questo progetto contiene gli script e le procedure necessarie per la creazione e la gestione del database.

## Struttura del Progetto

- `/sql/` - Contiene gli script SQL per la creazione delle tabelle e delle stored procedures
  - `dbo.LogN.sql` - Script per la gestione dei log delle applicazioni

- `/script/` - Contiene gli script PowerShell per l'automazione
  - `creadb.ps1` - Script PowerShell per la creazione del database

- `/logs/` - Directory per i file di log (non tracciata in Git)

## Funzionalità

- Creazione automatizzata del database
- Sistema di logging centralizzato
- Gestione delle stampe centralizzate

## Requisiti

- SQL Server
- PowerShell
- Accesso ai server di destinazione

## Note Tecniche

- I timestamp nel database sono gestiti utilizzando la funzione `CONVERT(datetime, ..., 121)` per garantire la compatibilità
- I log delle operazioni vengono salvati nella directory `/logs/`

## Ultimo Aggiornamento

Data: 23 Maggio 2025
